#ifndef ELEMENTCELL_SEEN
#define ELEMENTCELL_SEEN

#include <string>
#include <iostream>
#include <sstream>

#include "abstractElement.h"

using namespace std;


class elementCell : public abstractElement
{
    
    //  int nbParam_;
    // string* parametersString_;
    
    
    double initialPhaseDef_;
    double acceleratingFieldDef_;
    
    string acceleratingShapeFileDef_;
    string focusingMagFileDef_;
    double offsetMagDef_;
    double scaleFactorDef_;
    
    double initialPhase_;
    double acceleratingField_;
    
    string acceleratingShapeFile_;
    string focusingMagFile_;
    double offsetMag_;
    double scaleFactor_;
    
    
    void setDefaultValues();
    
    void setDefaults();
    
    public :
    
    elementCell();
    
    
    ~elementCell() { ;}
    
    virtual string* getParametersString() const;
    
    virtual void setParametersString(string* param);
    
    //   virtual  string parmelaOutputFlow() const;
    
    /* virtual string transportOutputFlow() const */
    /* { */
    /*     ostringstream sortie; */
    /*     cout << " CELL sortie transport non programmee " << endl; */
    /*     return sortie.str(); */
    /* } */
    
    
    virtual string FileOutputFlow() const;

    virtual vector< pair<string, vector<string> > > parametersToSoftware () const;

    virtual void FileInput(ifstream& ifs);
    
    /** return a string with all parameters and value
     */
    string print();
    
};

#endif
